\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{fastzero}[2024/10/29 FAST-zero'25 Extended Abstract Template]


\LoadClass[twocolumn]{article}

%packages
\RequirePackage{amsmath}
\RequirePackage{geometry}
\RequirePackage{multicol}
\RequirePackage{fancyhdr}
%\RequirePackage{times}
\RequirePackage{newtxtext,newtxmath}
\RequirePackage{graphicx}
\RequirePackage{enumitem}
%\RequirePackage{indentfirst}
\RequirePackage{xcolor}
\RequirePackage{stackengine}
\RequirePackage{setspace}

\makeatletter

%section format
%section format
  \renewcommand\section{%
    \@startsection{section}{1}
    {\z@}%
%   {-3.25ex\@plus -1ex \@minus -.2ex}%
%   {1sp}% No space after subsections
    {3.5mm}%
    {3.5mm}%
    {\centering\normalfont\fontsize{10}{10}\bfseries}}
  \renewcommand\subsection{%
    \@startsection{subsection}{2}
    {\z@}%
%   {-3.25ex\@plus -1ex \@minus -.2ex}%
%   {1sp}% No space after subsections
    {3.5mm}%
    {1sp}%
    {\normalfont\normalsize}}
  \renewcommand\subsubsection{%
    \@startsection{subsubsection}{3}
    {\z@}%
%   {-3.25ex\@plus -1ex \@minus -.2ex}%
%   {1sp}% No space after subsubsections
    {3.5mm}%
    {1sp}%
    {\normalfont\normalsize}}
  \renewcommand\@seccntformat[1]{%
    \@ifundefined{#1@cntformat}%
    {\csname the#1\endcsname\quad}%
    {\csname #1@cntformat\endcsname}}
  \newcommand\section@cntformat{\thesection. }
  \newcommand\subsection@cntformat{\thesubsection. }
  \newcommand\subsubsection@cntformat{\thesubsubsection. }  
%bibliography format
  \renewcommand{\@cite}[1]{(#1)}
  \renewcommand{\@biblabel}[1]{(#1)}
  \renewenvironment{thebibliography}[1]
{\section*{\refname}\@mkboth{\refname}{\refname}%
\list{\@biblabel{\@arabic\c@enumiv}}%
       {\settowidth\labelwidth{\@biblabel{#1}}%
        \leftmargin\labelwidth
        \advance\leftmargin\labelsep
 \setlength\itemsep{-3.0pt}%between lines
 \setlength\baselineskip{11.4pt}%between items
        \@openbib@code
        \usecounter{enumiv}%
        \let\p@enumiv\@empty
        \renewcommand\theenumiv{\@arabic\c@enumiv}}%
  \sloppy
  \clubpenalty4000
  \@clubpenalty\clubpenalty
  \widowpenalty4000%
  \sfcode`\.\@m}
 {\def\@noitemerr
   {\@latex@warning{Empty `thebibliography' environment}}%
  \endlist}
\makeatother



\geometry{a4paper, top=20mm, bottom=25mm, left=20mm, right=20mm, headheight=10mm, headsep=3mm, footskip=12.7mm}
\setlength{\columnsep}{9.9mm}
\setlength{\parindent}{6.2mm}
\setlength{\parskip}{0em}
\renewcommand{\baselinestretch}{0.96}

\setlength\headheight{26pt}
\fancypagestyle{fancy}
{
\fancyhf{}
\fancyhead[l]{
\vspace{20mm}
\fontsize{8}{8}\selectfont
Proceedings of 8th International Symposium on Future Active Safety Technology towards Zero-Traffic Accidents \\ \vspace{-17mm} 23-26 September 2025, Arles, France
}

%\fancyhead[l]{
%{
%\includegraphics[]{JSAE_logo.jpg}
%\\
%}
\fancyhead[r]{
{\includegraphics[]{FASTzero25_logo.png} \vspace{-3mm} \\
\includegraphics[]{Fastzero25.png}
%{\vspace{1mm}\fontsize{12}{12}\selectfont \textcolor{blue}{FAST-zero'25~~}}
}

\renewcommand{\headrulewidth}{0pt} %no header line
}

%\fancyfoot[C]{\thepage}
}

\fancypagestyle{plain}
%%{
\fancyhf{}
\fancyhead[l]{
\vspace{0mm}
\fontsize{8}{8}\selectfont
}
\renewcommand{\headrulewidth}{0pt} %no header line

\newcommand{\categorysize}{\fontsize{10}{10}\selectfont}
\newcommand{\titlesize}{\fontsize{18}{18}\selectfont}
\newcommand{\authorsize}{\fontsize{12}{12}\selectfont}
\newcommand{\affiliationsize}{\fontsize{12}{12}\selectfont}
\newcommand{\contactsize}{\fontsize{10}{10}\selectfont}
\newcommand{\keywordsympsize}{\fontsize{10}{10}\selectfont}
\newcommand{\normalsizefont}{\fontsize{10}{10}\selectfont}


\newcommand{\papercategory}[1]{\begin{flushright}\categorysize #1\end{flushright}\vspace{1.8mm}}
\newcommand{\papertitle}[1]{\begin{center}\titlesize\bfseries #1\vspace{2.8mm}\end{center}}
\newcommand{\authors}[1]{\begin{center}\authorsize\bfseries #1\vspace{-3.0mm}\end{center}}
\newcommand{\affiliations}[1]{\begin{center}\affiliationsize\bfseries #1\vspace{0.9mm}\end{center}}
\newcommand{\contactinfo}[1]{\begin{center}\contactsize #1\end{center}}
\newcommand{\keywords}[1]{\begin{center}\keywordsympsize{Keyword(s): #1}\end{center}\vspace{-0.0mm}}
%Change Figure to Fig style
\renewcommand{\figurename}{Fig.}
\renewcommand{\abstract}[1]{
\begin{center}
\list{}{
    \setlength{\leftmargin}{0.8cm}%
    \setlength{\rightmargin}{\leftmargin}%
}%
\vspace{1.2mm}
\normalsizefont{{\bfseries ABSTRACT}: #1}
\end{center}\vspace{6.0mm}
}



